Subject: Re: Need Benchmark Stats
From: Tim Prince <[email-masked]>
To: Dan Kegel <[email-masked]>, Rick Richardson <[email-masked]>
Cc: [email-masked]
Date: Tue, 3 Sep 2002 22:01:41 -0700

On Tuesday 03 September 2002 11:03, Dan Kegel wrote:
> Rick Richardson wrote:
> > I downloaded the 1.3.12-2 Cygwin and installed it on two fresh systems.
> >
> > I noticed that "configure" scripts I have written that would take 30-60
> > seconds to run under RedHat 7.2, would take 10 minutes or more to run
> > under CygWin.  One took nearly an hour to run.
>
> I've seen this, too.  Are you using virus protection?  Try turning it off.
>
> This ought to be in the FAQ under "Why do my configure scripts run so
> slow?" - Dan

With McAfee in command line checking mode, where it checks each script file 
each time it is started, my laptop goes into sleep mode rather than 
completing a configure script.  It's only necessary to modify the ViruScan 
installation to remove command line checking.  

Even without virus checking, the gcc testsuite takes 1 hr 20 minutes to run 
on cygwin (no java), as compared with 20 minutes (including java) on the same 
machine (2.8Ghz P4 with HyperThreading).

-- 
Tim Prince

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/